#!/bin/bash

#VDR-Creator-Script
#
#This let you choose which plugin/vdr to build...

if [ -e data ];
then
	echo data-dir found 
else
	mkdir data
fi
if [ -e "dlg_tmp" ];
then
	rm dlg_tmp
fi

dialog  --menu "VDR-Creator" 12 50 6\
	vdr "Select the VDR-Version(s)"\
	plugins "Select the Plugins"\
	mk_dep_pkg "Make Dependency-Packages"\
	download "Download"\
	download_build "Download And Build"\
	build "Build" 2>dlg_tmp

if [ -e "dlg_tmp" ];
then
	if [ "$(cat dlg_tmp|grep vdr)" != "" ];
	then
		exec sh vdr_select.sh
	fi
	if [ "$(cat dlg_tmp|grep plugins)" != "" ];
	then
		exec sh plugin_select.sh
	fi;
	if [ "$(cat dlg_tmp|grep download_build)" != "" ];
	then
		sh download.sh
		exec sh build.sh
	fi;
	if [ "$(cat dlg_tmp|grep download)" != "" ];
	then
		exec sh download.sh
	fi;
	if [ "$(cat dlg_tmp|grep build)" != "" ];
	then
		exec sh build.sh
	fi;
	if [ "$(cat dlg_tmp|grep mk_dep_pkg)" != "" ];
	then
		exec sh mk_dep_pkgs.sh
	fi;


fi

